library YPCK;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  U_DataLink in 'U_DataLink.pas' {YPCK_DataLink: TDataModule},
  U_GetDllForm in 'U_GetDllForm.pas',
  U_Fun10 in '..\Z99Dependency\ThreeFun\Fun\U_Fun10.pas',
  U_getDogServer in '..\Z99Dependency\ThreeFun\Fun\U_getDogServer.pas',
  U_ZDYHelp in '..\Z99Dependency\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp},
  U_BpSmRk in 'U_BpSmRk.pas' {frmBpSmRk},
  U_Bpckchklist in 'U_Bpckchklist.pas' {frmBpckchklist},
  U_BpJylist in 'U_BpJylist.pas' {frmBpJylist},
  U_CYGGRk in 'U_CYGGRk.pas' {frmCYGGRk},
  U_ProductOrderNewList in 'U_ProductOrderNewList.pas' {frmProductOrderNewList},
  U_CYGGCk in 'U_CYGGCk.pas' {frmCYGGCk},
  U_BpSmCk in 'U_BpSmCk.pas' {frmBpSmCk},
  U_CYGGRklist in 'U_CYGGRklist.pas' {frmCYGGRklist},
  U_CPManageSel in 'U_CPManageSel.pas' {frmCPManageSel},
  U_SLT in 'U_SLT.pas' {frmSLT: TFrame},
  U_ZdyAttachment in 'U_ZdyAttachment.pas' {frmZdyAttachment},
  U_CYGGkcsumlist in 'U_CYGGkcsumlist.pas' {frmCYGGkcsumlist},
  U_ZdyAttachGYS in 'U_ZdyAttachGYS.pas' {frmZdyAttachGYS},
  U_ZdyAttachmentBJ in 'U_ZdyAttachmentBJ.pas' {frmZdyAttachmentCB},
  U_ZdyAttachmentBJ_Edit in 'U_ZdyAttachmentBJ_Edit.pas' {frmZdyAttachmentBJ_Edit},
  U_Fun in '..\Z99Dependency\ThreeFun\Fun\U_Fun.pas',
  U_RTFun in '..\Z99Dependency\ThreeFun\Fun\U_RTFun.pas',
  U_SelExportField in '..\Z99Dependency\ThreeFun\Form\U_SelExportField.pas' {frmSelExportField},
  U_ColumnSet in '..\Z99Dependency\ThreeFun\Form\U_ColumnSet.pas' {frmColumnSet},
  U_ColumnBandSet in '..\Z99Dependency\ThreeFun\Form\U_ColumnBandSet.pas' {frmColumnBandSet},
  U_SelPrintFieldNew in '..\Z99Dependency\ThreeFun\Form\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew};

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD); far; stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
//  if (Reason = DLL_PROCESS_DETACH) or (Reason=DLL_THREAD_DETACH) then
//     Application:=NewDllApp;
end;

exports
  GetDllForm;

begin
  try
    NewDllApp := Application;
    DLLProc := @DLLUnloadProc;
  except

  end;
end.

